.section	".rodata"
.align	8
l_51:	! 0.000000
	.long	0x0
	.long	0x0
l_49:	! 1000000.000000
	.long	0x0
	.long	0x412e8480
l_47:	! 4.560000
	.long	0xa3d70a3d
	.long	0x40123d70
l_45:	! 1.230000
	.long	0x7ae147ae
	.long	0x3ff3ae14
.section	".text"
inprod_18:
	cmp	%i4, 0
	bl	bge_else_60
	nop
	sll	%i4, 3, %i5
	ldd	[%i2 + %i5], %f2
	sll	%i4, 3, %i5
	ldd	[%i3 + %i5], %f4
	fmuld	%f2, %f4, %f2
	faddd	%f0, %f2, %f0
	sub	%i4, 1, %i4
	b	inprod_18
	nop
bge_else_60:
	retl
	nop
.global	min_caml_start
min_caml_start:
	save	%sp, -112, %sp
	set	3, %i2
	set	l_45, %i3
	ldd	[%i3 + 0], %f0
	st	%o7, [%i0 + 4]
	call	min_caml_create_float_array
	add	%i0, 8, %i0	! delay slot
	sub	%i0, 8, %i0
	ld	[%i0 + 4], %o7
	st	%i2, [%i0 + 0]
	set	3, %i2
	set	l_47, %i3
	ldd	[%i3 + 0], %f0
	st	%o7, [%i0 + 4]
	call	min_caml_create_float_array
	add	%i0, 8, %i0	! delay slot
	sub	%i0, 8, %i0
	ld	[%i0 + 4], %o7
	mov	%i2, %i3
	set	l_49, %i2
	ldd	[%i2 + 0], %f0
	std	%f0, [%i0 + 8]
	set	l_51, %i2
	ldd	[%i2 + 0], %f0
	set	2, %i4
	ld	[%i0 + 0], %i2
	st	%o7, [%i0 + 20]
	call	inprod_18
	add	%i0, 24, %i0	! delay slot
	sub	%i0, 24, %i0
	ld	[%i0 + 20], %o7
	ldd	[%i0 + 8], %f2
	fmuld	%f2, %f0, %f0
	st	%o7, [%i0 + 20]
	call	min_caml_truncate
	add	%i0, 24, %i0	! delay slot
	sub	%i0, 24, %i0
	ld	[%i0 + 20], %o7
	st	%o7, [%i0 + 20]
	call	min_caml_print_int
	add	%i0, 24, %i0	! delay slot
	sub	%i0, 24, %i0
	ld	[%i0 + 20], %o7
	ret
	restore
